Back to YouTube
TikHub·YouTube
YouTube Web V2: Get related videos
/api/v1/youtube/web_v2/get_related_videossync$0.0015 / callGet YouTube video's related content recommendations (recommended videos list). Similar to the related videos shown on the right side of video playback page. Returns all recommended videos at once (typically 20-30 videos) (TikHub · YouTube Web V2)
Input
| Field | Type | Required | Description |
|---|---|---|---|
| video_id | string | — | Video ID |
| video_url | string | — | Ignored if videoid is provided) |
| need_format | boolean | — | Whether to format data. true: return formatted structured data, false: return raw API structure (default true) |
Run it
curl -s https://www.sooma.dev/v1/run \
-H "Authorization: Bearer $SOOMA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"tikhub","endpoint":"/api/v1/youtube/web_v2/get_related_videos","input":{}}'
Or ask your agent: it will call inspect for this schema and run it over MCP.